# norootforbuild

%define _prefix /usr

%if %suse_version >= 1010
%define _name		php5-pear-http_request
%define _version	1.4.0
%define _phpdir	php5
%define _phpbin	%{_bindir}/php5
%define _peardir	PEAR
%define _pear		pear5
%else
%define _name		php4-pear-http_request
%define _version	1.3.0
%define _phpdir	php
%define _phpbin	%{_bindir}/php
%define _peardir	/
%define _pear		pear
%endif

Name:				%{_name}
Version:			%{_version}
Release:			1.3
Summary:			Provides an easy way to perform HTTP requests
License:			BSD
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/HTTP_Request/
Source0:			http://pear.php.net/get/HTTP_Request-1.4.0.tgz
Source1:			http://pear.php.net/get/HTTP_Request-1.3.0.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

%if %suse_version >= 1010
Requires:		php5-pear
Requires:		php5-pear-net_socket
Requires:		php5-pear-net_url
BuildRequires:	php5-pear
%else
Requires:		php4-pear
Requires:      php4-pear-net_socket
Requires:      php4-pear-net_url
BuildRequires:	php4-pear
%endif

%description
Provides an easy way to perform HTTP requests.
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication,
Proxy, Proxy Authentication, SSL, file uploads etc.

Authors:
--------
	Richard Heyes
	Alexey Borzov

%prep
%if %suse_version >= 1010
%setup -c -a 0
%else
%setup -c -a 1
%endif

%build

%install
%__mv package*.xml HTTP_Request-%{version}
cd HTTP_Request-%{version}
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_docdir}/%{name} install --nodeps -R %{buildroot} package.xml
%__rm -rf %{buildroot}%{_datadir}/%{_phpdir}/%{_peardir}/.{registry,filemap,lock,channels,depdb,depdblock}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/%{_phpdir}/%{_peardir}/HTTP/Request.php
%{_datadir}/%{_phpdir}/%{_peardir}/HTTP/Request/Listener.php
%doc %{_defaultdocdir}/%{_name}/HTTP_Request/docs/download-progress.php
%doc %{_defaultdocdir}/%{_name}/HTTP_Request/docs/example.php

%changelog
* Sun Dec 03 2006 Marcus Hüwe <suse-tux@gmx.de>
- added a source of http_request which works with < 1010 (version 1.3.0)
* Sat Oct 28 2006 Marcus Hüwe <suse-tux@gmx.de>
- new upstream version 1.4.0
* Wed Jun 21 2006 Marcus Hüwe <suse-tux@gmx.de>
- initial build
